//****************************************************************************************
// COD2 - Ambientfx System settings
//****************************************************************************************
// Server / Client side modification for Call of Duty 2 multiplayer
// Updated : 06 October 2007 by Wildcard
// Email   : wildcard@wildcardsonline.nl
// Support WebSite: http://www.wildcardonline.nl
// This config  file controls the WW2X 1.8c Ambientfx settings
//*******************************************************************************

//***************************************************************************************************
// Weather FX system
//***************************************************************************************************
// you can choose whether to add rain fx, thunder and lightning to the mod or induvidial
// gametypes and/or maps, this is control by a percentage chance of rain? please note that
// using rainfx does cause some other effects not to play correctly!
// 0 = disable, percentage setting 1 - 100, default = 0
set wwx_rainfx "0"

//map example
//set wwx_rainfx_mp_decoy "80"
//set wwx_rainfx_mp_breakout "0"

// thunder and lightning?
// 0 = disable, percentage setting 1 - 100, default = 0
//set wwx_tlfx "0"

// map example
//set wwx_tlfx_mp_breakout "100"

//***************************************************************************************************
// Ambient Tracers
//***************************************************************************************************
// tracer anti-aircraft effects appear off the map area, if 'Anti-Aircraft effects' is enabled in
// the ambient planes section, the delay between tracers is reduced. How many tracers?
// 0 = disable, max = 10, default = 0
set wwx_tracers "0"
set set wwx_tracers_mtl_dawnville "0"

// minimum time to wait between tracers in seconds
// min = 5, max = 720, default = 5
set wwx_tracers_delay_min "100"

// maximum delay between tracers in seconds (set higher than minimum delay!)
// min = minimum time , max = 1440, default = minimum time + 1
set wwx_tracers_delay_max "150"

// to enhance the tracer effect, you can attach the sound of anti-aircraft fire to the position of
// the tracer, this effect is at ambient volumes and distance aware
// 0 = disable, 1 = enable, default = 0
set wwx_tracers_sound "1"

//***************************************************************************************************
// Ambient Flak FX
//***************************************************************************************************
// flak explosions, smoke and dust across the sky, this will be constant throughout the game
// but if 'Anti-Aircraft effects' is enabled in the ambient planes section, the flak fx will display
// just before the planes arrive, acting as an early warning system. How many flak explosions?
// 0 = disable, max = 10, default = 0
set wwx_flakfx "0"

// minimum delay between flak bursts in seconds
// min = 5, max = 720, default = 5
set wwx_flakfx_delay_min "240"

// maximum delay between flak bursts in seconds (set higher than minimum delay!)
// min = minimum time , max = 1440, default = minimum time + 1
set wwx_flakfx_delay_max "300"

//***************************************************************************************************
// Ambient Mortar FX
//***************************************************************************************************
// choose your desired settings for the ambient mortars
// 0 = disabled, 1 = enabled (safe), 2 = enabled (can kill), default = 0
set wwx_mortars "0"
set wwx_mortars_mtl_dawnville "0"

// minimum number of mortars per barrage
// min = 1, max = 24, default = 10
set wwx_mortars_min "3"

// maximum number of mortars per barrage (set higher than minimum number!)
// min = minimum number , max = 25, default = minimum number + 1
set wwx_mortars_max "5"

// minimum delay between mortar barrages in seconds
// min = 30, max = 720, default = 60
set wwx_mortars_delay_min "120"

// maximum delay between mortar barrages in seconds (set higher than minimum delay!)
// min = minimum time , max = 1440, default = minimum time + 1
set wwx_mortars_delay_max "300"

// mortar alert, just before a mortar barrage the players can be warned
// 0 = disable, 1 = enable, default = 0
set wwx_mortars_alert "1"

//*************************************************************************************************************************************************************
// Ambient Air Planes
//*************************************************************************************************************************************************************
// choose your desired settings for the ambient planes
// 0 = disabled, 1 = enabled (safe), 2 = enabled with bombs(safe), 3 = enabled with bombs (deadly), default = 0
set wwx_planes "0"
set wwx_planes_mp_buhlert "0"
set wwx_planes_mtl_dawnville "0"

// minimum number of planes per run
// min = 1, max = 19, default = 1
set wwx_planes_min "2"

// maximum number of planes per run (set higher than minimum number!)
// min = minimum number , max = 20, default = minimum number + 1
set wwx_planes_max "4"

// minimum delay between plane runs in seconds
// min = 30, max = 720, default = 60
set wwx_planes_delay_min "240"

// maximum delay between plane runs in seconds (set higher than minimum delay!)
// min = minimum time , max = 1440, default = minimum time + 1
set wwx_planes_delay_max "300"

// planes altitude
// some custom maps might have issues with planes and wmd's ..this option lets you set the altitude
// at which the planes fly over...these dont work for the 4 stock maps (carentan, decoy, toujane and railyard)
// coz they were already fixed...note tho that parachutes also spawn at the altitude you have set which aint bad
// as the chutes will have the same skybox issues..and if needed you can overide the parachutes spawn hight again 
// in the parachute settings
// min = 0, max = 6000, default = 1400
//set wwx_planes_altitude "1200"
set wwx_planes_altitude_mp_breakout "951"
set wwx_planes_altitude_mp_brecourt "1328"
set wwx_planes_altitude_mp_burgundy "955"
set wwx_planes_altitude_mp_dawnville "1394"
set wwx_planes_altitude_mp_downtown "1275"
set wwx_planes_altitude_mp_farmhouse "1076"
set wwx_planes_altitude_mp_harbor "1928"
set wwx_planes_altitude_mp_leningrad "1111"
set wwx_planes_altitude_mp_matmata "1106"
set wwx_planes_altitude_mp_rhine "1527"
set wwx_planes_altitude_mp_trainstation "1088"
set wwx_planes_altitude_mp_stlo "1115"
set wwx_planes_altitude_mp_borisovka "830"
set wwx_planes_altitude_mp_industry "893"
set wwx_planes_altitude_mp_kairo "2003"
set wwx_planes_altitude_mp_kalsingrad_v2 "2263"
set wwx_planes_altitude_mp_louretbeta "1057"
set wwx_planes_altitude_waterfall "2345"
set wwx_planes_altitude_mp_fourregerre1_1 "1602"
set wwx_planes_altitude_mp_tilli "1249"
set wwx_planes_altitude_mp_tunis "1160"
set wwx_planes_altitude_mp_hill24 "1516"
set wwx_planes_altitude_gob_tozeur "1412"
set wwx_planes_altitude_mp_port "1418"
set wwx_planes_altitude_mp_vokday "1981"
set wwx_planes_altitude_mp_voknight "1981"
set wwx_planes_altitude_mp_chateau_le_castel "857"
set wwx_planes_altitude_mp_bridge "1725"
set wwx_planes_altitude_mp_fortified_village_v2 "908"
set wwx_planes_altitude_mp_nuenen 1439
set wwx_planes_altitude_pst_snipe_town_v2 "1559"
//set wwx_planes_altitude_mp_buhlert "1098"
set wwx_planes_altitude_mp_depot "1395"
set wwx_planes_altitude_mp_navaronne2b "886"
set wwx_planes_altitude_mtl_the_rock "3005"
set wwx_planes_altitude_mp_chateau "843"
set wwx_planes_altitude_mp_draguignan_lib "943"
set wwx_planes_altitude_mp_edelweiss "1618"
set wwx_planes_altitude_mp_mythicals_carentan "1659"
set wwx_planes_altitude_mp_st-gatien "947"
set wwx_planes_altitude_mp_sweat_blood "981"
set wwx_planes_altitude_mp_bernay "1409"
set wwx_planes_altitude_mp_secretairfield_f1 "3026"
set wwx_planes_altitude_rnr_murmansk "1016"
set wwx_planes_altitude_mp_powcamp "1716"
set wwx_planes_altitude_mp_provence2 "1908"
set wwx_planes_altitude_mp_valley_summer "1321"
set wwx_planes_altitude_mp_boneville "951"
set wwx_planes_altitude_mp_cologne "2034"
set wwx_planes_altitude_mp_frontline_forts2 "1433"
set wwx_planes_altitude_mp_moelingen_fixed "1265"
set wwx_planes_altitude_mp_chelm "1027"
set wwx_planes_altitude_mp_commando1_1 "1517"
set wwx_planes_altitude_mp_twin "1157"
set wwx_planes_altitude_mp_mat2 "1151"
set wwx_planes_altitude_mp_siegfriedline_final "1502"
set wwx_planes_altitude_mp_salerno_beachhead "1311"
//set wwx_planes_altitude_mtl_dawnville "1167"
set wwx_planes_altitude_mtl_raiders "1436"
set wwx_planes_altitude_mp_bridge2 "1459"
set wwx_planes_altitude_mp_destroyed_village "1586"
set wwx_planes_altitude_mp_tuscany "1135"
set wwx_planes_altitude_mp_junobeach "2437"
set wwx_planes_altitude_mp_rschew "926"
set wwx_planes_altitude_mp_karkand_reboot "2226"
set wwx_planes_altitude_mp_argentan_france "1761"

// anti-aircraft flak system - fx in the sky before planes arrive (early warning!)
set wwx_planes_flak "1"

//air_raid sound 0 = disabled, 1 = enabled (default 0)
set wwx_air_raid "1"

//*************************************************************************************************************************************************************
// map ambient FX Options
//*************************************************************************************************************************************************************
// To help with reducing gamestate and increasing FPS, you may want to disable some of the following effects, you can do with a global mod
// setting, or for a particular map and/or gametype - 0 = disabled, 1 = enabled (default 1 - COD2 stock setting)
//*************************************************************************************************************************************************************
// ambient map sound (the main background sound)
//*************************************************************************************
// global setting
set wwx_ambmapsound "1"

// gametype/map examples, remember to remove the // to use them!
//set wwx_ambmapsound_sd "0"
set wwx_ambmapsound_mp_trainstation "0"
set wwx_ambmapsound_mtl_hobbiton "0"
set wwx_ambmapsound_mp_mirage_ver4 "0"
set wwx_ambmapsound_mp_belltown "0"
set wwx_ambmapsound_mp_argentan_france "0"
set wwx_ambmapsound_mp_tilli "0"
set wwx_ambmapsound_mp_hellskeep_day "0"

//*************************************************************************************
// ambient soundfx
//*************************************************************************************
// global setting
set wwx_ambsoundfx "1"

// gametype/map examples, remember to remove the // to use them!
//set wwx_ambsoundfx_sd "0"

//*************************************************************************************
// map main fog
//*************************************************************************************
// global setting
//set wwx_ambmapfog "0"

// gametype/map examples, remember to remove the // to use them!
set wwx_ambmapfog_sd "0"

//*************************************************************************************
// map fire fx
//*************************************************************************************
// global setting
//set wwx_ambfirefx "1"

// gametype/map examples, remember to remove the // to use them!
//set wwx_ambfirefx_sd "0"

set wwx_ambfirefx_mp_karkand_reboot "0"
set wwx_ambfirefx_mp_tilli "0"

//*************************************************************************************
// map smoke fx
//*************************************************************************************
// global setting
set wwx_ambsmokefx "0"

set wwx_ambsmokefx_buzzbeach "0"
set wwx_ambsmokefx_mp_siegfriedline_final "0"
set wwx_ambsmokefx_mp_karkand_reboot "0"
set wwx_ambsmokefx_mp_djerba "0"
set wwx_ambsmokefx_mp_marketsqr "0"

// gametype/map examples, remember to remove the // to use them!
//set wwx_ambsmokefx_sd "0"

//*************************************************************************************
// fog bank fx
//*************************************************************************************
// global setting
set wwx_ambfogbankfx "0"

// gametype/map examples, remember to remove the // to use them!
//set wwx_ambfogbankfx_sd "0"

set wwx_ambfogbankfx_mp_siegfriedline_final "0"

//*************************************************************************************
// flies fx(flying round animal carcus)
//*************************************************************************************
// global setting
set wwx_ambfliesfx "1"

// gametype/map examples, remember to remove the // to use them!
//set wwx_ambfliesfx_sd "0"

set wwx_ambfliesfx_mp_tilli "0"

//*************************************************************************************
// dust fx
//*************************************************************************************
// global setting
set wwx_ambdustfx "0"

// gametype/map examples, remember to remove the // to use them!
//set wwx_ambdustfx_sd "0"

//*************************************************************************************
// snow and snow wind fx
//*************************************************************************************
// global setting
set wwx_ambsnowfx "0"

// gametype/map examples, remember to remove the // to use them!
//set wwx_ambsnowfx_sd "0"

